Bug 19623 - Make the BOM override HTTP for scripts
Make the BOM override HTTP for scripts
Status: RESOLVED FIXED
Product: WHATWG
Classification: Unclassified
Component: HTML
unspecified
PC Linux
: P2 normal
: Unsorted
Assigned To: Ian 'Hixie' Hickson
contributor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 08:07 UTC by Henri Sivonen
Modified: 2013-02-06 23:11 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henri Sivonen 2012-10-19 08:07:50 UTC
In order to
 * Make the fix for https://bugzilla.mozilla.org/show_bug.cgi?id=687859 compliant
 * Make scripts consistent with text/html
 * Make script decoding consistent with the Encoding Standard
…please make the BOM take precedence over HTTP charset for scripts.
Comment 1 Henri Sivonen 2012-10-19 12:25:11 UTC
Current spec state comes from https://www.w3.org/Bugs/Public/show_bug.cgi?id=10656 which disagrees with Opera, Chrome and IE7.
Comment 2 Ian 'Hixie' Hickson 2012-10-19 20:21:00 UTC
cc'ing bz since this was changed for Gecko on his request.
Comment 3 Boris Zbarsky 2012-11-26 04:51:27 UTC
I don't really care about encoding issues anymore, in an effort to preserve what's left of my sanity.  ;)
Comment 4 contributor 2013-02-06 23:11:00 UTC
Checked in as WHATWG revision r7701.
Check-in comment: Revert part of r5545 because bz changed his mind and this matches reality better. :-)
http://html5.org/tools/web-apps-tracker?from=7700&to=7701